
#include <iostream.h>
#include "bi++.h"

int main (int argc, char *argv[])
{
  if (argc == 4) {
    bigint z1, z2, z3;

    z1 = argv[1]; cout << z1 << endl;
    z2 = argv[3]; cout << z2 << endl;

    switch (*argv[2]) {
    case '+':
      cout << "Adding ";
      z3 = z1 + z2;
      break;
    case '-':
      cout << "Substracting ";
      z3 = z1 - z2;
      break;
    case '*':
      cout << "Multiplying ";
      z3 = z1 * z2;
      break;
    case '/':
      cout << "Dividing ";
      z3 = z1 / z2;
      break;
    case '%':
      cout << "Modulo ";
      z3 = z1 % z2;
      break;
    }
    cout << z1 << " " << argv[2] << " " << z2 << " = " << z3 << endl;
  }
  else {
    bigint z1, z2;

    z1 = argv[1];
    z2 = 2;

    while (z1 != 1) {
      while ((z1 % z2) == 0) {
	cout << z2 << endl;
	z1 /= z2;
      }
      z2++;
    }
  }
}
